curl --request POST \
--url https://{region}.api.plerion.com/v1/organization/scim/v2/Groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/scim+json' \
--data '
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"displayName": "<string>",
"externalId": "<string>",
"members": [
{
"value": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<unknown>",
"format": "<unknown>",
"readOnly": "<unknown>"
}
]
}
'import requests
url = "https://{region}.api.plerion.com/v1/organization/scim/v2/Groups"
payload = {
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:Group"],
"displayName": "<string>",
"externalId": "<string>",
"members": [
{
"value": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<unknown>",
"format": "<unknown>",
"readOnly": "<unknown>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/scim+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/scim+json'},
body: JSON.stringify({
schemas: ['urn:ietf:params:scim:schemas:core:2.0:Group'],
displayName: '<string>',
externalId: '<string>',
members: [
{
value: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: '<unknown>',
format: '<unknown>',
readOnly: '<unknown>'
}
]
})
};
fetch('https://{region}.api.plerion.com/v1/organization/scim/v2/Groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"members": [
{
"value": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<unknown>",
"format": "<unknown>",
"readOnly": "<unknown>",
"display": "<string>"
}
],
"meta": {
"resourceType": "User",
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"version": "<string>",
"location": "<string>"
}
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "409",
"scimType": "invalidSyntax",
"detail": "A user with this userName already exists."
}{
"message": "Unauthorized"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "409",
"scimType": "invalidSyntax",
"detail": "A user with this userName already exists."
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "409",
"scimType": "invalidSyntax",
"detail": "A user with this userName already exists."
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "409",
"scimType": "invalidSyntax",
"detail": "A user with this userName already exists."
}Creates a user group owned by the identity provider. Grant it roles in the Plerion console.
Authorizations
Plerion organization API key (plerion_oak_…), created by an organization admin in the Plerion console. Write operations require a key with readWrite access level; GET and .search work with read access level.
Body
SCIM core Group. The identity provider owns the name and the members; a Plerion organization admin grants the group its roles in the console.
Response
Group created.
SCIM core Group. The identity provider owns the name and the members; a Plerion organization admin grants the group its roles in the console.
[
"urn:ietf:params:scim:schemas:core:2.0:Group"
]
Required. Shown as the user group's name in the Plerion console.
The identity provider's identifier for the group. Filterable.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?